io.agora.rtc

## Class DefaultAudioDeviceManagerObserver

- java.lang.Object
- - io.agora.rtc.DefaultAudioDeviceManagerObserver

- All Implemented Interfaces:
    IAudioDeviceManagerObserver

      public class DefaultAudioDeviceManagerObserver
      extends java.lang.Object
      implements IAudioDeviceManagerObserver

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultAudioDeviceManagerObserver()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onAudioDeviceStateChanged(AgoraAudioDeviceManager agora_audio_device_manager, java.lang.String device_id, int device_type, int device_state)`
    `void` | `onAudioDeviceVolumeChanged(AgoraAudioDeviceManager agora_audio_device_manager, int device_type, int volume, boolean muted)`
    `void` | `onDeviceStateChanged(AgoraAudioDeviceManager agora_audio_device_manager)`
    `void` | `onRoutingChanged(AgoraAudioDeviceManager agora_audio_device_manager, int route)`
    `void` | `onVolumeIndication(AgoraAudioDeviceManager agora_audio_device_manager, int volume)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultAudioDeviceManagerObserver

          public DefaultAudioDeviceManagerObserver()

  - ### Method Detail

    - #### onVolumeIndication

          public void onVolumeIndication(AgoraAudioDeviceManager agora_audio_device_manager,
                                         int volume)

      Specified by:
        `onVolumeIndication` in interface `IAudioDeviceManagerObserver`

    - #### onDeviceStateChanged

          public void onDeviceStateChanged(AgoraAudioDeviceManager agora_audio_device_manager)

      Specified by:
        `onDeviceStateChanged` in interface `IAudioDeviceManagerObserver`

    - #### onAudioDeviceStateChanged

          public void onAudioDeviceStateChanged(AgoraAudioDeviceManager agora_audio_device_manager,
                                                java.lang.String device_id,
                                                int device_type,
                                                int device_state)

      Specified by:
        `onAudioDeviceStateChanged` in interface `IAudioDeviceManagerObserver`

    - #### onRoutingChanged

          public void onRoutingChanged(AgoraAudioDeviceManager agora_audio_device_manager,
                                       int route)

      Specified by:
        `onRoutingChanged` in interface `IAudioDeviceManagerObserver`

    - #### onAudioDeviceVolumeChanged

          public void onAudioDeviceVolumeChanged(AgoraAudioDeviceManager agora_audio_device_manager,
                                                 int device_type,
                                                 int volume,
                                                 boolean muted)

      Specified by:
        `onAudioDeviceVolumeChanged` in interface `IAudioDeviceManagerObserver`